package com.starbuds.server.im.server.rocket.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.starbuds.server.im.server.ws.entity.MsgPacket;
import lombok.Data;

import java.io.Serializable;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/8/21
 */
@Data
public class QueueLiveTextMsg implements Serializable {
    private String groupId;
    private MsgPacket msgPacket;

    public byte[] serialize() {
        return JSON.toJSONBytes(this, SerializerFeature.WriteNonStringKeyAsString);
    }
}
