package com.starbuds.server.im.server.util;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.im.server.ws.entity.MsgPacket;
import org.tio.websocket.common.WsResponse;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/6
 */
public class MsgUtil {
    /**
     * 构造消息
     *
     * @param msg
     * @return
     */
    public static WsResponse buildMsg(String msg) {
        return WsResponse.fromBytes(GzipUtil.compress(msg, GzipUtil.GZIP_ENCODE_UTF_8));
    }

    public static WsResponse buildMsg(MsgPacket msg) {
        return buildMsg(JSON.toJSONString(msg));
    }
}
